## percona-pg-telemetry 1.0.3

=== Makefile ===
# contrib/percona_pg_telemetry/Makefile

MODULE_big = percona_pg_telemetry
OBJS = \
	$(WIN32RES) \
	pt_json.o	\
	percona_pg_telemetry.o

EXTENSION = percona_pg_telemetry
DATA = percona_pg_telemetry--1.0.sql

PGFILEDESC = "percona_pg_telemetry - extension for Percona telemetry data collection."

REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/percona_pg_telemetry/percona_pg_telemetry.conf
REGRESS = basic debug_json gucs

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/percona_pg_telemetry
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# Fetches typedefs list for PostgreSQL core and merges it with typedefs defined in this project.
# https://wiki.postgresql.org/wiki/Running_pgindent_on_non-core_code_or_development_code
update-typedefs:
	wget -q -O - "https://buildfarm.postgresql.org/cgi-bin/typedefs.pl?branch=REL_17_STABLE" | cat - typedefs.list | sort | uniq > typedefs-full.list

# Indents projects sources.
indent:
	pgindent --typedefs=typedefs-full.list .

.PHONY: update-typedefs indent

## percona-pg-telemetry 1.0.0

=== debian/changelog ===
percona-pg-telemetry (1.0.0-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry12 version 1.0.0

 -- root <root@6023b034ca6c>  Tue, 03 Sep 2024 10:47:48 +0000

=== debian/control ===
Source: percona-pg-telemetry
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),

Package: percona-pg-telemetry12
Architecture: any
Depends:
 percona-telemetry-agent,
 ${misc:Depends},
 ${shlibs:Depends},
Description:The percona_pg_telemetry is an extension for Percona telemetry data collection for PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

export USE_PGXS=1

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_build:
	+pg_buildext clean . build-%v
	+pg_buildext build . build-%v

override_dh_auto_test:
	# nothing to do here

override_dh_auto_install:
	+pg_buildext install . build-%v percona-pg-telemetry16

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	rm -rf results/* regression.*

## percona-pg-telemetry 1.0.3

=== debian/changelog ===
percona-pg-telemetry (1.0.3-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry12 version 1.0.3

 -- root <root@6798abe51cc0>  Tue, 26 Nov 2024 15:10:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),
 
-Package: percona-pg-telemetry12
+Package: percona-pg-telemetry15
 Architecture: any
 Depends:
  percona-telemetry-agent,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	# nothing to do here
 
 override_dh_auto_install:
-	+pg_buildext install . build-%v percona-pg-telemetry16
+	+pg_buildext install . build-%v percona-pg-telemetry17
 
 override_dh_installdocs:
 	dh_installdocs --all README.*

## percona-pg-telemetry 1.1.0

=== debian/changelog ===
percona-pg-telemetry (1.1.0-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry16 version 1.1.0

 -- root <root@16c350ba9f01>  Tue, 25 Feb 2025 16:20:47 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),
 
-Package: percona-pg-telemetry15
+Package: percona-pg-telemetry17
 Architecture: any
 Depends:
  percona-telemetry-agent,

## percona-pg-telemetry 1.1.1

=== debian/changelog ===
percona-pg-telemetry (1.1.1-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry16 version 1.1.1

 -- root <root@c0d56b9b8832>  Tue, 13 May 2025 06:37:31 +0000

## percona-pg-telemetry 1.1.2

=== debian/changelog ===
percona-pg-telemetry (1.1.2-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry15 version 1.1.2

 -- root <root@34a63642fc25>  Wed, 02 Jul 2025 08:30:47 +0000

## percona-pg-telemetry 1.1.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	percona_pg_telemetry.o
 
 EXTENSION = percona_pg_telemetry
-DATA = percona_pg_telemetry--1.0.sql
+DATA = percona_pg_telemetry--1.0.sql percona_pg_telemetry--1.0--1.1.sql
 
 PGFILEDESC = "percona_pg_telemetry - extension for Percona telemetry data collection."

=== debian/changelog ===
percona-pg-telemetry (1.1.3-1) unstable; urgency=medium

  * Update to new percona-pg-telemetry13 version 1.1.3

 -- root <root@1c2927c8305f>  Wed, 20 Aug 2025 06:36:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~) | percona-postgresql-server-dev-all (>= 153~),
 
-Package: percona-pg-telemetry17
+Package: percona-pg-telemetry14
 Architecture: any
 Depends:
  percona-telemetry-agent,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	# nothing to do here
 
 override_dh_auto_install:
-	+pg_buildext install . build-%v percona-pg-telemetry17
+	+pg_buildext install . build-%v percona-pg-telemetry13
 
 override_dh_installdocs:
 	dh_installdocs --all README.*
